import matplotlib
matplotlib.use('Agg')
# Import the numpy library.
import numpy as np

# Import the powerful plotting library.
import matplotlib.pyplot as plt
x = np.linspace(-2.5, 3, 200)
# Calculate the regular parabola.
y = x**2

# Create index array.
idx = (x >= 2)

# Set all y-values to 4, for which x >= 2.
y[idx] = 4

# One can get rid of the intermediate index array and combine both lines into
# the statement y[x >= 2] = 4
# Plot a line specified by x- and y-arrays.
plt.plot(x, y)

# Set axis labels. Latex expression can be used.
plt.xlabel("$x$") 
plt.ylabel("Cropped Parabola")

# Save the figure. Different output formats are available.
plt.savefig("cropped_parabola.eps")
# We need also a png version of the plot to embed it into the README.md.
plt.savefig("cropped_parabola.png")
